Update a wallet
curl --request PUT \
--url https://us.api.flexprice.io/v1/wallets/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"alert_settings": {
"alert_enabled": true,
"critical": {
"threshold": "<string>"
},
"info": {
"threshold": "<string>"
},
"warning": {
"threshold": "<string>"
}
},
"auto_topup": {
"amount": 123,
"enabled": true,
"invoicing": true,
"threshold": 123
},
"config": {
"allowed_price_types": []
},
"description": "<string>",
"metadata": {},
"name": "<string>"
}
'import requests
url = "https://us.api.flexprice.io/v1/wallets/{id}"
payload = {
"alert_settings": {
"alert_enabled": True,
"critical": { "threshold": "<string>" },
"info": { "threshold": "<string>" },
"warning": { "threshold": "<string>" }
},
"auto_topup": {
"amount": 123,
"enabled": True,
"invoicing": True,
"threshold": 123
},
"config": { "allowed_price_types": [] },
"description": "<string>",
"metadata": {},
"name": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alert_settings: {
alert_enabled: true,
critical: {threshold: '<string>'},
info: {threshold: '<string>'},
warning: {threshold: '<string>'}
},
auto_topup: {amount: 123, enabled: true, invoicing: true, threshold: 123},
config: {allowed_price_types: []},
description: '<string>',
metadata: {},
name: '<string>'
})
};
fetch('https://us.api.flexprice.io/v1/wallets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alert_settings": {
"alert_enabled": true,
"critical": {
"threshold": "<string>"
},
"info": {
"threshold": "<string>"
},
"warning": {
"threshold": "<string>"
}
},
"auto_topup": {
"amount": 123,
"enabled": true,
"invoicing": true,
"threshold": 123
},
"balance": "<string>",
"config": {
"allowed_price_types": []
},
"conversion_rate": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"credit_balance": "<string>",
"credits_available_breakdown": {
"free": "<string>",
"purchased": "<string>"
},
"currency": "<string>",
"customer_id": "<string>",
"description": "<string>",
"environment_id": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"real_time_balance": "<string>",
"real_time_credit_balance": "<string>",
"tenant_id": "<string>",
"topup_conversion_rate": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}Wallets
Update a wallet
Use when changing wallet settings (e.g. enabling or updating auto top-up thresholds).
PUT
/
wallets
/
{id}
Update a wallet
Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Wallet ID
Body
application/json
Update wallet request
Response
OK
Show child attributes
Show child attributes
Available options:
ok, info, warning, in_alarm Show child attributes
Show child attributes
Show child attributes
Show child attributes
amount in the currency = number of credits * conversion_rate ex if conversion_rate is 1, then 1 USD = 1 credit ex if conversion_rate is 2, then 1 USD = 0.5 credits ex if conversion_rate is 0.5, then 1 USD = 2 credits
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
published, deleted, archived topup_conversion_rate is the conversion rate for the topup to the currency ex if topup_conversion_rate is 1, then 1 USD = 1 credit ex if topup_conversion_rate is 2, then 1 USD = 0.5 credits ex if topup_conversion_rate is 0.5, then 1 USD = 2 credits
Available options:
active, frozen, closed Available options:
PRE_PAID, POST_PAID ⌘I

